Returns all absences.

GEThttps://api.awork.com/api/v1/absences
GET https://api.awork.com/api/v1/absences

Returns workspace absences visible to the current user.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

userIdstring or nullOptional
format: uuid

The id of the user to create the absence for.

startOnstringOptional
format: date-time

The start time of the absence.

endOnstringOptional
format: date-time

The end time of the absence.

descriptionstring or nullOptional

The reason for the absence.

externalProviderstring or nullOptional

The external provider for the absence. If this value is set, the absence is treated as externally managed and therefore read-only in awork. This means users in awork can no longer edit or delete the absence.

deletedOnstring or nullOptional
format: date-time

The date the absence was deleted.

deletedBystring or nullOptional
format: uuid

The id of the user that deleted the absence.

isReadOnlybooleanOptional

If it's true it means that this Absence is read-only and cannot be edited/deleted by the user.

isHalfDayOnStartbooleanOptional

If it's true and it's a single day absence means that the absence is for the first half of the workday. If it's a multi day absence it started on the second half of the first day of the absence period.

isHalfDayOnEndbooleanOptional

If it's true and it's a single day absence means that the absence is for the second half of the workday. If it's a multi day absence it ended on the first half of the last day of the absence period.

Search documentation